# OpalSecurityMode Class Reference

`#include <rtpconn.h>`

Inheritance diagram for OpalSecurityMode:

List of all members.

## Public Member Functions

virtual RTP_UDP * | CreateRTPSession (OpalRTPConnection &connection, const RTP_Session::Params &options)=0
virtual PBoolean | Open ()=0

## Member Function Documentation

virtual RTP_UDP* OpalSecurityMode::CreateRTPSession | ( | OpalRTPConnection & | connection,
|  | const RTP_Session::Params & | options |
| ) |  |  | `[pure virtual]`

Parameters:

  connection | Connection creating session (may be needed by secure connections)
  options | Parameters to construct with session.

Implemented in LibZrtpSecurityMode_Base.

virtual PBoolean OpalSecurityMode::Open | ( |  | ) | `[pure virtual]`

Implemented in LibZrtpSecurityMode_Base.

The documentation for this class was generated from the following file:

- rtpconn.h